## Upload a schema `client.schemaValidation.schemas.create(SchemaCreateParamsparams, RequestOptionsoptions?): PublicSchema` **post** `/zones/{zone_id}/schema_validation/schemas` Uploads a new OpenAPI schema for API Shield schema validation. The schema defines expected request/response formats for API endpoints. ### Parameters - `params: SchemaCreateParams` - `zone_id: string` Path param: Identifier. - `kind: "openapi_v3"` Body param: The kind of the schema - `"openapi_v3"` - `name: string` Body param: A human-readable name for the schema - `source: string` Body param: The raw schema, e.g., the OpenAPI schema, either as JSON or YAML - `validation_enabled: boolean` Body param: An indicator if this schema is enabled ### Returns - `PublicSchema` A schema used in schema validation - `created_at: string` - `kind: "openapi_v3"` The kind of the schema - `"openapi_v3"` - `name: string` A human-readable name for the schema - `schema_id: string` A unique identifier of this schema - `source: string` The raw schema, e.g., the OpenAPI schema, either as JSON or YAML - `validation_enabled?: boolean` An indicator if this schema is enabled ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const publicSchema = await client.schemaValidation.schemas.create({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', kind: 'openapi_v3', name: 'petstore schema', source: '', validation_enabled: true, }); console.log(publicSchema.schema_id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "locations": [ ".paths[\"/user/{username}\"].put" ], "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "locations": [ ".paths[\"/user/{username}\"].put" ], "pointer": "pointer" } } ], "result": { "created_at": "2014-01-01T05:20:00.12345Z", "kind": "openapi_v3", "name": "petstore schema", "schema_id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415", "source": "", "validation_enabled": true }, "success": true } ```